/*
 * @(#)DecimalCommas.java
 *
 * Summary: Display a number with commas between the groups of digits, North American style.
 *
 * Copyright: (c) 1999-2009 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.5+
 *
 * Created with: IntelliJ IDEA IDE.
 *
 * Version History:
 *  1.0 1999-01-17 - </pre>
 */
package com.mindprod.inwords;

/**
 * Display a number with commas between the groups of digits, North American style.
 * <p/>
 * e.g.
 * -12345 -&gt; -12,345
 * <p/>
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 1999-01-17 - </pre>
 * @ </pre>
 * @since 1999-01-17
 */
public final class DecimalCommas extends DecimalBase implements ToWords
    {
    // ------------------------------ CONSTANTS ------------------------------

    /**
     * undisplayed copyright notice
     *
     * @noinspection UnusedDeclaration
     */
    public static final String EMBEDDED_COPYRIGHT =
            "copyright (c) 1999-2009 Roedy Green, Canadian Mind Products, http://mindprod.com";

    // -------------------------- PUBLIC INSTANCE  METHODS --------------------------

    /**
     * @inheritDoc
     */
    public String toWords( long num )
        {
        return super.toWords( num, ',' );
        }

    // --------------------------- main() method ---------------------------

    /**
     * test harness
     *
     * @param args not used
     */
    public static void main( String[] args )
        {
        Test.test( new DecimalCommas(), null );
        }// end main
    }// end DecimalCommas
